| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwsymop.cpp File Reference

Library routines to read and write symmetry operators. More...

`#include "rwsymop.h"`
`#include "rwstar.h"`
`#include "sym_tags.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
char * | read_symop_star (Bstring &filename, int spacegroup, int &nsym)
char * | read_symop_lib (Bstring &filename, int spacegroup, int &nsym)
int | write_symop_star (Bstring &filename, int spacegroup, int nsym, char *symop, int line_len)
int | write_star_pointgroup (Bstring &filename, Bsymmetry *sym, View ref_view)
float * | read_symat (Bstring &filename, int spacegroup, int &nsym)
| Reading crystallographic symmetry operators. More...
char * | read_symop (Bstring &filename, int spacegroup, int &nsym)
| Reading crystallographic symmetry operators. More...
int | write_symat (Bstring &filename, int spacegroup)
| Writing crystallographic symmetry operators. More...
int | write_pointgroup (Bstring &filename, Bstring &symmetry_string, View ref_view)
| Writing point group symmetry operators. More...
int | write_pointgroup (Bstring &filename, Bsymmetry *sym, View ref_view)

## Variables
int | verbose

## Detailed Description

Library routines to read and write symmetry operators.

Author
  Bernard Heymann

Date
  Created: 19991225
  Modified: 20110804

Definition in file rwsymop.cpp.

## Function Documentation

## ◆ read_symat()

float* read_symat | ( | Bstring & | filename,
|  | int | spacegroup,
|  | int & | nsym
| ) |  |

Reading crystallographic symmetry operators.

Parameters

  &filename | file name.
  spacegroup | crystal space group number.
  &nsym | number of symmetry operators.

Returns
  float* set of 12-value symmetry matrices.

      The symmetry operators are encoded as a set of matrices.

Definition at line 34 of file rwsymop.cpp.

## ◆ read_symop()

char* read_symop | ( | Bstring & | filename,
|  | int | spacegroup,
|  | int & | nsym
| ) |  |

Reading crystallographic symmetry operators.

Parameters

  &filename | file name.
  spacegroup | crystal space group number.
  &nsym | number of symmetry operators.

Returns
  char* set of 12-value symmetry matrices.

      The symmetry operators are encoded as 80 character lines.

Definition at line 59 of file rwsymop.cpp.

## ◆ read_symop_lib()

char * read_symop_lib | ( | Bstring & | filename,
|  | int | spacegroup,
|  | int & | nsym
| ) |  |

Definition at line 184 of file rwsymop.cpp.

## ◆ read_symop_star()

char * read_symop_star | ( | Bstring & | filename,
|  | int | spacegroup,
|  | int & | nsym
| ) |  |

Definition at line 150 of file rwsymop.cpp.

## ◆ write_pointgroup() [1/2]

int write_pointgroup | ( | Bstring & | filename,
|  | Bstring & | symmetry_string,
|  | View | ref_view
| ) |  |

Writing point group symmetry operators.

Parameters

  &filename | file name.
  &symmetry_string | symmetry string.
  ref_view | reference view.

Returns
  int error code (<0 means failure).

Definition at line 124 of file rwsymop.cpp.

## ◆ write_pointgroup() [2/2]

int write_pointgroup | ( | Bstring & | filename,
|  | Bsymmetry * | sym,
|  | View | ref_view
| ) |  |

Definition at line 135 of file rwsymop.cpp.

## ◆ write_star_pointgroup()

int write_star_pointgroup | ( | Bstring & | filename,
|  | Bsymmetry * | sym,
|  | View | ref_view
| ) |  |

Definition at line 300 of file rwsymop.cpp.

## ◆ write_symat()

int write_symat | ( | Bstring & | filename,
|  | int | spacegroup
| ) |  |

Writing crystallographic symmetry operators.

Parameters

  &filename | file name.
  spacegroup | crystal space group number.

Returns
  int error code (<0 means failure).

Definition at line 101 of file rwsymop.cpp.

## ◆ write_symop_star()

int write_symop_star | ( | Bstring & | filename,
|  | int | spacegroup,
|  | int | nsym,
|  | char * | symop,
|  | int | line_len
| ) |  |

Definition at line 256 of file rwsymop.cpp.

## Variable Documentation

## ◆ verbose

int verbose